set terminal png
set key left top

set style fill solid border lc rgb "black"

set xrange[22:100]

set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_mean_cons.png'
plot "output-mean-cons-lifecycle.d" using 1:2 with linespoints title "CG", "output-mean-cons-lifecycle.d" using 1:3 with linespoints title "CD", "output-mean-cons-lifecycle.d" using 1:4 with linespoints title "HS", 

set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_mean_asset.png'
plot "output-mean-asset-lifecycle.d" using 1:2 with linespoints title "CG", "output-mean-asset-lifecycle.d" using 1:3 with linespoints title "CD", "output-mean-asset-lifecycle.d" using 1:4 with linespoints title "HS", 

set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_std_cons.png'
plot "output-std-cons-lifecycle.d" using 1:2 with linespoints title "CG", "output-std-cons-lifecycle.d" using 1:3 with linespoints title "CD", "output-std-cons-lifecycle.d" using 1:4 with linespoints title "HS", 

set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_std_asset.png'
plot "output-std-asset-lifecycle.d" using 1:2 with linespoints title "CG", "output-std-asset-lifecycle.d" using 1:3 with linespoints title "CD", "output-std-asset-lifecycle.d" using 1:4 with linespoints title "HS", 

set xrange[22:64]


set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_mean_wage.png'
plot "output-mean-wage-lifecycle.d" using 1:2 with linespoints title "CG", "output-mean-wage-lifecycle.d" using 1:3 with linespoints title "CD", "output-mean-wage-lifecycle.d" using 1:4 with linespoints title "HS", 

set output '/Users/kmatsuda/Dropbox/research/taxsub/code/Fortran/taxsub_latest/figures/taxsub_std_wage.png'
plot "output-std-wage-lifecycle.d" using 1:2 with linespoints title "CG", "output-std-wage-lifecycle.d" using 1:3 with linespoints title "CD", "output-std-wage-lifecycle.d" using 1:4 with linespoints title "HS", 
