SUBROUTINE polint(xa,ya,x,y,dy)

USE nrtype; USE nrutil, ONLY : assert_eq,iminloc,nrerror

IMPLICIT NONE
REAL(DP), DIMENSION(:), INTENT(IN) :: xa,ya
REAL(DP), INTENT(IN) :: x
REAL(DP), INTENT(OUT) :: y,dy
INTEGER(I4B) :: m,n,ns
! REAL(DP), DIMENSION(size(xa)) :: den,ho!,c,d

integer(I4B) :: aleft0, aright0, alr0(1)
real(DP), dimension(2) :: xa2,ya2

n=assert_eq(size(xa),size(ya),'polint')

if (maxval(x-xa)<=0.0d0) then
    aleft0=1
else
    alr0 = minloc(x-xa, x-xa>0.0d0)
    aleft0=alr0(1)
endif
aright0 = aleft0+1
if (aright0 > size(xa)) then
    aright0=size(xa)
    aleft0=aright0-1
endif

xa2 = xa(aleft0:aright0)
ya2 = ya(aleft0:aright0)

n=assert_eq(size(xa2),size(ya2),'polint')

! ho=xa2-x
! y=ya2(1)
! den(1:1)=xa2(1)-xa2(2)!ho(1:1)-ho(2:2)
if (xa2(1)-xa2(2) == 0.0) call nrerror('polint: calculation failure')
! dy =0.0d0
! den(1)=(ya2(2)-ya2(1))/(xa2(1)-xa2(2))
dy=(ya2(2)-ya2(1))/(xa2(2)-xa2(1))*(x-xa2(1))
y=ya2(1)+(ya2(2)-ya2(1))/(xa2(2)-xa2(1))*(x-xa2(1))

		! c=ya2
		! d=ya2
		! ho=xa2-x
		! ns=1!iminloc(abs(x-xa))
		! y=ya2(ns)
		! ns=ns-1
		! do m=1,n-1
		! 	den(1:n-m)=ho(1:n-m)-ho(1+m:n)
		! 	if (any(den(1:n-m) == 0.0)) then
		! 		write(*,*) 'den', den
		! 		write(*,*) 'xa2', xa2
		! 		write(*,*) 'xa', xa
		! 		write(*,*) 'x', x
		! 		call nrerror('polint: calculation failure')
		! 	endif
		! 	dy =0.0d0
		! 	den(1:n-m)=(c(2:n-m+1)-d(1:n-m))/den(1:n-m)
		! 	d(1:n-m)=ho(1+m:n)*den(1:n-m)
		! 	c(1:n-m)=ho(1:n-m)*den(1:n-m)
		! 	if (2*ns < n-m) then
		! 		dy=c(ns+1)
		! 	else
		! 		dy=d(ns)
		! 		ns=ns-1
		! 	end if

		! 	y=y+dy
		! end do
		
END SUBROUTINE polint
